Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 02:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Kdenlive-0.9.2 for Saluki
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Thu 08 Nov 2012, 08:52    Post_subject:  Kdenlive-0.9.2 for Saluki  

I've had this lying around my hard drive for awhile. You need both SFSs:

Download:
Kdenlive-0.9.2.sfs
KDE_Basic-4.8.sfs

About Kdenlive

Kdenlive is an intuitive and powerful multi-track video editor, including most recent video technologies. Supports DV, AVCHD and HDV editing. Kdenlive relies on several other open source projects, such as FFmpeg, the MLT video framework and Frei0r effects.

I still love Kdenlive. I've been messing with the more advanced features like green screen and compositing for special effects and it's not bad at it.

I haven't tested it on Carolina or the latest Saluki but I think it should be alright as they basically have the same base.


Install:
Best to apply on a clean pupsave or one without existing an existing QT install.

Being open minded However, I've also given Openshot a go. If that's more down your alley, you can find it here.



_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8

Edited_time_total
Back to top
View user's profile Send_private_message 
p310don

Joined: 19 May 2009
Posts: 720
Location: Brisbane, Australia

PostPosted: Fri 09 Nov 2012, 02:18    Post_subject:  

to answer your question from the openshot thread, kdenlive didn't work for me here either.

This is the terminal output

Code:
kdenlive: symbol lookup error: /usr/lib/libnepomukutils.so.4: undefined symbol: _ZN19QAbstractProxyModel11setItemDataERK11QModelIndexRK4QMapIi8QVariantE


I will try from a fresh state and see what happens
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Fri 09 Nov 2012, 03:02    Post_subject:  

I think it's a QT thing. Do you have an existing install of QT?

That's the tricky thing about dependencies Confused. See how a fresh state goes, it will most likely work but I'm not sure how to get these files to play nice with existing clashing dependencies.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
wsamh

Joined: 16 Apr 2010
Posts: 79

PostPosted: Fri 09 Nov 2012, 14:21    Post_subject:  

Awesome! It worked for me.
Back to top
View user's profile Send_private_message Visit_website 
mini-jaguar

Joined: 13 Nov 2008
Posts: 462

PostPosted: Sat 24 Nov 2012, 08:48    Post_subject:  

Seems to run pretty smoothly, except for one problem: I cannot get it to save and load project files correctly. I eventually got it to save some files, but it refuses to read them back, or even acknowledge they are the correct type of files.
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Sun 25 Nov 2012, 23:08    Post_subject:  

mini-jaguar wrote:
Seems to run pretty smoothly, except for one problem: I cannot get it to save and load project files correctly. I eventually got it to save some files, but it refuses to read them back, or even acknowledge they are the correct type of files.


Interesting, I haven't had that problem of not saving correctly. Was this on a fresh pup save?

For loading files, I found there was a weird filter on that wouldn't let you see the Kdenlive save files. I can't give you the exact steps on how to switch it off as I'm not at home at the moment but I think if the text starting with an * in the file location is deleted you should be able to see the Kdenlive project save files.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
mini-jaguar

Joined: 13 Nov 2008
Posts: 462

PostPosted: Mon 26 Nov 2012, 11:03    Post_subject:  

Yes, save file with no packages.

That is interesting about the workaround to find the files, but you don't need to do that on any of the other kdenlive versions I've tried. But it's also missing some effects that I need, so I'm not going to use it.

This Kdenlive does also work with other packages installed, I tried it a few days ago and haven't run into any problems there (other than the weird project saving).

On the other hand, your Openshot .sfs for Saluki seems to not want to co-exist with any other packages installed, although it seems to work fine by itself as far as I could tell. It's not that I don't appreciate the time you put into this, but I tend to think that you are doing something wrong if you make packages incompatible with other packages.

The packages in the repositories and many of the ones in this forum, for example, mostly work with other software installed. Jack, for example, is totally compatible with Ardour and lmms, and lmms is compatible with Ardour, even though any of these would cause the Kdenlive you made for Lucid to malfunction or the other way around (they stop working instead).

To be fair, your packages may work fine on your system, but you should use Saluki 23, that one is a release candidate, the earlier versions are just alpha/beta versions.
Back to top
View user's profile Send_private_message 
mini-jaguar

Joined: 13 Nov 2008
Posts: 462

PostPosted: Mon 26 Nov 2012, 12:51    Post_subject:  

Actually I take that back. This is not as bad as it looked earlier.

I'm still testing this, I'm going to find out what makes it tick.

Installed the pup monitor (crucial upgrade which fixes a bug of the recent Saluki versions), as well as the Gimp and Openshot .sfses.

Surprise: not only do they all work, but I also get the effects I needed in Kdenlive. They are apparently part of the freiOr package which you must have added to the openshot .sfs.

To load Kdenlive projects: you have to rename (or perhaps save) the projects with the .kdenlive extension. Then type the name directly, you have to comb through the file system to find them as kdenlive does not see them.
Back to top
View user's profile Send_private_message 
mini-jaguar

Joined: 13 Nov 2008
Posts: 462

PostPosted: Tue 27 Nov 2012, 14:19    Post_subject:  

I actually got it to run all the previous programs + lmms.

Did this: installed the qt static .sfs.(if you don't do this step all the programs won't work)

Then installed the actual qt 4.8.0 .pet. Then lmms, and the other programs still work, including kdenlive.
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1095
Location: Australia

PostPosted: Thu 29 Nov 2012, 19:41    Post_subject:  

My apologizes I haven't been responding to all the excellent debugging you've been doing mini-jaguar. I think the major incompatibility problems arise from including my own version if QT in the Kdenlive package. I tend to compile my own version of QT when compiling Kdenlive as in general the repository ones aren't compiled with the correct options to compile Kdenlive. However, it seems your tests indicate it is fine to simply run Kdenlive with the repository QT.

So all that said, I may need to rerelease the Kdenlive package either including the repository QT or just completely without it so that it will work with all the other said programs that require QT. Phew.

Quote:
Surprise: not only do they all work, but I also get the effects I needed in Kdenlive. They are apparently part of the freiOr package which you must have added to the openshot .sfs.


Oh crap. I forgot to add frei0r to the Kdenlive package. I remember testing it and then noting it wasn't there. I thought I added it after that, but I guess I didn't. Another thing to add to the repackaging.

_________________
LMMS 1.0.2, Ardour 3.5.389, Kdenlive 0.9.8
Back to top
View user's profile Send_private_message 
mikeslr


Joined: 16 Jun 2008
Posts: 793
Location: Union New Jersey USA

PostPosted: Wed 22 Jan 2014, 17:33    Post_subject: Kdenlive-0.9.2 for Slacko 5.6 non-pae  

Hi Battleshooter & all,

See my post here: http://www.murga-linux.com/puppy/viewtopic.php?p=753057&sid=42d9b1a2344f86efe4a6ea9051a0b972#753057.

Kdenlive-0.9.2 also seem to work fine OOTB.

mikesLr
Back to top
View user's profile Send_private_message 
Pelo


Joined: 10 Sep 2011
Posts: 3225
Location: Mer méditerrannée (1 kms°)

PostPosted: Sun 06 Apr 2014, 07:18    Post_subject: Kdenlive (KDE 137MB)
Sub_title: Tried on Legacy os.
 

Kdenlive 0.5 is included in LegacyOS, version 0.9.2 downloaded, but i don't succed loading it in spite of no error message. I will do it with Saluki, soon.
Openshot 1.4.3 runs in ToOpPy and Pupjibaro
1.4.0 runs in slacko (thin) . Runs means Editing, not only reading.
Nevertheless Kdenlive remains the best and safest tool for video editing.
I test the two SFS as soon as possible. I will inform.
I am now on Slacko, i will test it on Saluki 013.

_________________
Puppy, il ne lui manque que la parole !
Back to top
View user's profile Send_private_message YIM 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0744s ][ Queries: 12 (0.0053s) ][ GZIP on ]